p = Parea(api_key="PAREA_API_KEY") # replace with your API key
def main() -> UseDeployedPromptResponse:
return p.get_prompt(
UseDeployedPrompt(
deployment_id="p-qZrnFesaeCpqcXJ_yL3wi",
llm_inputs={"x": "Python", "y": "Flask"},
)
)
const p = new Parea("PAREA_API_KEY"); // replace with your API key
export const main = async (): Promise<UseDeployedPromptResponse> => {
return await p.getPrompt({
deployment_id: 'p-qZrnFesaeCpqcXJ_yL3wi',
llm_inputs: {
x: "Python", y: "Flask",
},
});
};
curl --location 'https://parea-ai-backend-us-9ac16cdbc7a7b006.onporter.run/api/parea/v1/deployed-prompt' \
--header 'Content-Type: application/json' \
--header 'x-api-key: PAREA_API_KEY' \
--data '{
"deployment_id": "p-qZrnFesaeCpqcXJ_yL3wi",
"llm_inputs": {"x": "Python", "y": "Flask"}
}'
{
"deployment_id": "p-qZrnFesaeCpqcXJ_yL3wi",
"functions": [],
"model": "gpt-4o-mini",
"model_params": {
"frequency_penalty": 0,
"presence_penalty": 0,
"temp": 0.5,
"top_p": 1
},
"name": "hello world",
"prompt": {
"inputs": {
"x": "Python",
"y": "Flask"
},
"messages": [
{
"content": "I want a Hello World program in Python. Using the Flask framework.",
"role": "user"
}
],
"raw_messages": [
{
"content": "I want a Hello World program in {{x}}. Using the {{y}} framework.",
"role": "user"
}
]
},
"provider": "openai",
"version_number": 1
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}LLM Proxy
Fetch Deployed Prompt
Given a deployment_id, fetches the deployed prompt and its details. Can be optionally used to fill-in the templated prompt with provided inputs.
POST
/
api
/
parea
/
v1
/
deployed-prompt
p = Parea(api_key="PAREA_API_KEY") # replace with your API key
def main() -> UseDeployedPromptResponse:
return p.get_prompt(
UseDeployedPrompt(
deployment_id="p-qZrnFesaeCpqcXJ_yL3wi",
llm_inputs={"x": "Python", "y": "Flask"},
)
)
const p = new Parea("PAREA_API_KEY"); // replace with your API key
export const main = async (): Promise<UseDeployedPromptResponse> => {
return await p.getPrompt({
deployment_id: 'p-qZrnFesaeCpqcXJ_yL3wi',
llm_inputs: {
x: "Python", y: "Flask",
},
});
};
curl --location 'https://parea-ai-backend-us-9ac16cdbc7a7b006.onporter.run/api/parea/v1/deployed-prompt' \
--header 'Content-Type: application/json' \
--header 'x-api-key: PAREA_API_KEY' \
--data '{
"deployment_id": "p-qZrnFesaeCpqcXJ_yL3wi",
"llm_inputs": {"x": "Python", "y": "Flask"}
}'
{
"deployment_id": "p-qZrnFesaeCpqcXJ_yL3wi",
"functions": [],
"model": "gpt-4o-mini",
"model_params": {
"frequency_penalty": 0,
"presence_penalty": 0,
"temp": 0.5,
"top_p": 1
},
"name": "hello world",
"prompt": {
"inputs": {
"x": "Python",
"y": "Flask"
},
"messages": [
{
"content": "I want a Hello World program in Python. Using the Flask framework.",
"role": "user"
}
],
"raw_messages": [
{
"content": "I want a Hello World program in {{x}}. Using the {{y}} framework.",
"role": "user"
}
]
},
"provider": "openai",
"version_number": 1
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}p = Parea(api_key="PAREA_API_KEY") # replace with your API key
def main() -> UseDeployedPromptResponse:
return p.get_prompt(
UseDeployedPrompt(
deployment_id="p-qZrnFesaeCpqcXJ_yL3wi",
llm_inputs={"x": "Python", "y": "Flask"},
)
)
const p = new Parea("PAREA_API_KEY"); // replace with your API key
export const main = async (): Promise<UseDeployedPromptResponse> => {
return await p.getPrompt({
deployment_id: 'p-qZrnFesaeCpqcXJ_yL3wi',
llm_inputs: {
x: "Python", y: "Flask",
},
});
};
curl --location 'https://parea-ai-backend-us-9ac16cdbc7a7b006.onporter.run/api/parea/v1/deployed-prompt' \
--header 'Content-Type: application/json' \
--header 'x-api-key: PAREA_API_KEY' \
--data '{
"deployment_id": "p-qZrnFesaeCpqcXJ_yL3wi",
"llm_inputs": {"x": "Python", "y": "Flask"}
}'
Body
application/json
Response
Successful Response
Was this page helpful?

